commit:     40f1fb894d4226c267208563e66a2e74ee5e16cc
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 18 12:18:56 2016 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Mon Jul 18 12:18:56 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=40f1fb89

net-dialup/accel-ppp: version bump to 1.11.0

Add live ebuild for 1.11 branch

Package-Manager: portage-2.2.28

 net-dialup/accel-ppp/Manifest                   |   1 +
 net-dialup/accel-ppp/accel-ppp-1.11.0.ebuild    |  99 +++++++++++++++++++++++
 net-dialup/accel-ppp/accel-ppp-1.11.9999.ebuild | 101 ++++++++++++++++++++++++
 3 files changed, 201 insertions(+)

diff --git a/net-dialup/accel-ppp/Manifest b/net-dialup/accel-ppp/Manifest
index d3760c8..f59a030 100644
--- a/net-dialup/accel-ppp/Manifest
+++ b/net-dialup/accel-ppp/Manifest
@@ -1 +1,2 @@
 DIST accel-ppp-1.10.3.tar.bz2 1587351 SHA256 
da8a2e44d1ac5a6a256cbe797c713515cc9d6835c3b3d53651fc942ed4280ccf SHA512 
a67eee5cacfd734a9dc495ac3fb4d5b0c26ff1cb68701215930e6f7957267b478bd3844b8574ca21c95b7e0e1c4a5a4009656977a0e15799537bf1f799bfd933
 WHIRLPOOL 
8a332a19cf24b9e1379e8018e61c8b228964a48682be558c0a7faf35351feb95b1e2f442f2a75cd3908228daedea65a9ffb039c14fd4ca22e179bec12fa69be6
+DIST accel-ppp-1.11.0.tar.bz2 200721 SHA256 
326e49ba5d3f6352759c239390d3f1a05ef454fd27c1c4e687b9d761f4b15b57 SHA512 
21b0f6509d73aba392995070a0049731601cb5224311885ef4d7d580e4cc6c7d46521be96bd06bfbdb1b973142ec2ec6106e4f246cd12a11eb0f9cc55d8efa53
 WHIRLPOOL 
a6d52fda6f586b981176b3642f13ff1a78a4ae35a92bf76663f5fd665b73f3d5ea23ed61f65478c49f1c7ae57a91591720e5f571f6db317334f60427961e6699

diff --git a/net-dialup/accel-ppp/accel-ppp-1.11.0.ebuild 
b/net-dialup/accel-ppp/accel-ppp-1.11.0.ebuild
new file mode 100644
index 0000000..85a7a06
--- /dev/null
+++ b/net-dialup/accel-ppp/accel-ppp-1.11.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic linux-info linux-mod
+
+DESCRIPTION="High performance PPTP, PPPoE and L2TP server"
+HOMEPAGE="http://accel-ppp.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug doc ipoe postgres radius shaper snmp valgrind"
+
+RDEPEND="postgres? ( dev-db/postgresql:* )
+       snmp? ( net-analyzer/net-snmp )
+       dev-libs/libpcre
+       dev-libs/openssl:0"
+DEPEND="${RDEPEND}
+       valgrind? ( dev-util/valgrind )"
+PDEPEND="net-dialup/ppp-scripts"
+
+DOCS=( README )
+
+CONFIG_CHECK="~L2TP ~PPPOE ~PPTP"
+
+REQUIRED_USE="valgrind? ( debug )"
+
+pkg_setup() {
+       if use ipoe; then
+               linux-mod_pkg_setup
+               set_arch_to_kernel
+       else
+               linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       sed -i  -e "/mkdir/d" \
+               -e "/echo/d" \
+               -e "s: RENAME accel-ppp.conf.dist::" accel-pppd/CMakeLists.txt 
|| die 'sed on accel-pppd/CMakeLists.txt failed'
+
+       # Do not install kernel modules like that - breaks sandbox!
+       sed -i -e '/modules_install/d' \
+               drivers/ipoe/CMakeLists.txt \
+               drivers/vlan_mon/CMakeLists.txt || die
+
+       # Bug #549918
+       append-ldflags -Wl,-z,lazy
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local libdir="$(get_libdir)"
+       # There must be also dev-libs/tomcrypt (TOMCRYPT) as crypto alternative 
to OpenSSL
+       local mycmakeargs=(
+               -DLIB_PATH_SUFFIX="${libdir#lib}"
+               -DBUILD_IPOE_DRIVER="$(usex ipoe)"
+               -DBUILD_PPTP_DRIVER=no
+               -DBUILD_VLAN_MON_DRIVER="$(usex ipoe)"
+               -DCRYPTO=OPENSSL
+               -DLOG_PGSQL="$(usex postgres)"
+               -DMEMDEBUG="$(usex debug)"
+               -DNETSNMP="$(usex snmp)"
+               -DRADIUS="$(usex radius)"
+               -DSHAPER="$(usex shaper)"
+               -DVALGRIND="$(usex valgrind)"
+       )
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+}
+
+src_install() {
+       if use ipoe; then
+               local 
MODULE_NAMES="ipoe(accel-ppp:${BUILD_DIR}/drivers/ipoe/driver) 
vlan_mon(accel-ppp:${BUILD_DIR}/drivers/vlan_mon/driver)"
+               linux-mod_src_install
+       fi
+
+       cmake-utils_src_install
+
+       use doc && dodoc -r rfc
+
+       if use snmp; then
+               insinto /usr/share/snmp/mibs
+               doins accel-pppd/extra/net-snmp/ACCEL-PPP-MIB.txt
+       fi
+
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}d
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}d
+
+       dodir /var/log/accel-ppp
+}

diff --git a/net-dialup/accel-ppp/accel-ppp-1.11.9999.ebuild 
b/net-dialup/accel-ppp/accel-ppp-1.11.9999.ebuild
new file mode 100644
index 0000000..25e6e7d
--- /dev/null
+++ b/net-dialup/accel-ppp/accel-ppp-1.11.9999.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+EGIT_REPO_URI="git://git.code.sf.net/p/accel-ppp/code"
+EGIT_BRANCH="1.11"
+inherit cmake-utils flag-o-matic git-r3 linux-info linux-mod
+
+DESCRIPTION="High performance PPTP, PPPoE and L2TP server"
+HOMEPAGE="http://accel-ppp.sourceforge.net/";
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="debug doc ipoe postgres radius shaper snmp valgrind"
+
+RDEPEND="postgres? ( dev-db/postgresql:* )
+       snmp? ( net-analyzer/net-snmp )
+       dev-libs/libpcre
+       dev-libs/openssl:0"
+DEPEND="${RDEPEND}
+       valgrind? ( dev-util/valgrind )"
+PDEPEND="net-dialup/ppp-scripts"
+
+DOCS=( README )
+
+CONFIG_CHECK="~L2TP ~PPPOE ~PPTP"
+
+REQUIRED_USE="valgrind? ( debug )"
+
+pkg_setup() {
+       if use ipoe; then
+               linux-mod_pkg_setup
+               set_arch_to_kernel
+       else
+               linux-info_pkg_setup
+       fi
+}
+
+src_prepare() {
+       sed -i  -e "/mkdir/d" \
+               -e "/echo/d" \
+               -e "s: RENAME accel-ppp.conf.dist::" accel-pppd/CMakeLists.txt 
|| die 'sed on accel-pppd/CMakeLists.txt failed'
+
+       # Do not install kernel modules like that - breaks sandbox!
+       sed -i -e '/modules_install/d' \
+               drivers/ipoe/CMakeLists.txt \
+               drivers/vlan_mon/CMakeLists.txt || die
+
+       # Bug #549918
+       append-ldflags -Wl,-z,lazy
+
+       cmake-utils_src_prepare
+}
+
+src_configure() {
+       local libdir="$(get_libdir)"
+       # There must be also dev-libs/tomcrypt (TOMCRYPT) as crypto alternative 
to OpenSSL
+       local mycmakeargs=(
+               -DLIB_PATH_SUFFIX="${libdir#lib}"
+               -DBUILD_IPOE_DRIVER="$(usex ipoe)"
+               -DBUILD_PPTP_DRIVER=no
+               -DBUILD_VLAN_MON_DRIVER="$(usex ipoe)"
+               -DCRYPTO=OPENSSL
+               -DLOG_PGSQL="$(usex postgres)"
+               -DMEMDEBUG="$(usex debug)"
+               -DNETSNMP="$(usex snmp)"
+               -DRADIUS="$(usex radius)"
+               -DSHAPER="$(usex shaper)"
+               -DVALGRIND="$(usex valgrind)"
+       )
+       cmake-utils_src_configure
+}
+
+src_compile() {
+       cmake-utils_src_compile
+}
+
+src_install() {
+       if use ipoe; then
+               local 
MODULE_NAMES="ipoe(accel-ppp:${BUILD_DIR}/drivers/ipoe/driver) 
vlan_mon(accel-ppp:${BUILD_DIR}/drivers/vlan_mon/driver)"
+               linux-mod_src_install
+       fi
+
+       cmake-utils_src_install
+
+       use doc && dodoc -r rfc
+
+       if use snmp; then
+               insinto /usr/share/snmp/mibs
+               doins accel-pppd/extra/net-snmp/ACCEL-PPP-MIB.txt
+       fi
+
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}d
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}d
+
+       dodir /var/log/accel-ppp
+}

Reply via email to